aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-13 16:41:39 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-13 16:42:34 +0000
commit34b93f0f3527a6d99c76350b50b718945884c54a (patch)
tree9b2597f9826f3b7a52e32ccdfdb1af7a27f7c64a
parentc7d17813e3573b9aae1d0178735a422d568e8f98 (diff)
downloadaports-34b93f0f3527a6d99c76350b50b718945884c54a.tar.gz
aports-34b93f0f3527a6d99c76350b50b718945884c54a.tar.bz2
aports-34b93f0f3527a6d99c76350b50b718945884c54a.tar.xz
main/libdbi: build fix aarch64
-rw-r--r--main/libdbi/APKBUILD16
1 files changed, 4 insertions, 12 deletions
diff --git a/main/libdbi/APKBUILD b/main/libdbi/APKBUILD
index 35bbca45e2..9ccedd4e6e 100644
--- a/main/libdbi/APKBUILD
+++ b/main/libdbi/APKBUILD
@@ -15,25 +15,17 @@ subpackages="$pkgname-doc $pkgname-dev"
source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgname}-${pkgver}/${pkgname}-${pkgver}.tar.gz"
options=libtool
-_builddir=${srcdir}/${pkgname}-${pkgver}
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir=${srcdir}/${pkgname}-${pkgver}
build() {
- cd "$_builddir"
+ cd "$builddir"
+ update_config_guess || return 1
./configure --prefix=/usr
make
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
}